Summary: The Network Adminstration Tool for Red Hat Linux.
Name: redhat-config-network
Version: 0.9.10
Release: 2
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildArch: noarch
Requires: initscripts >= 5.99, usermode , alchemist, kudzu, libglade, pygtk-libglade, pygtk, python, pygnome-libglade, pygnome
BuildRequires: alchemist, alchemist-devel, python, libglade-devel
Obsoletes: isdn-config internet-config netcfg
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Netconf is the network configuration tool for Red Hat Linux,
supporting ethernet, ADSL, ISDN, and PPP. It can also configure
firewalls and masquerading, and can use profiles.

%prep
%setup -q
%configure

%build
# Don't run right now.. I want to build it even though we don't have doc strings for everything
#make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/redhat-config-network
%{_datadir}/pixmaps/neat.png
%config(noreplace) /etc/X11/sysconfig/*.desktop
%config(noreplace) /etc/X11/applnk/System/*.desktop
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/*
%{_sbindir}/*
%{_bindir}/*

%changelog
* Thu Jan 10 2002 Phil Knirsch <phil@redhat.de> 0.9.10-2
- final errata version built and published.

* Tue Dec 03 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.10-1
- minor fixes, more translations

* Mon Nov 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.9-0.1
- Trying again, with more fixes :)

* Fri Nov 25 2001 Than Ngo <than@redhat.com> 0.9.8-0.6
- fixed bug #56145, #56146, #56147

* Tue Nov 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.8-0.5
- prepare for errata

* Fri Nov 02 2001 Than Ngo <than@redhat.com> 0.9.7-1
- fixed 'AVM PnP'/'Sedlbauer Speed Fax+ PnP'/'ASUS Com ISDNLink ISA PnP'
- update provider DB

* Tue Oct 30 2001 Than Ngo <than@redhat.com> 0.9.7-1
- allow setting AVM PCI (Fritz!PCI v2) if kernel supports it
- fixed some typo bugs

* Wed Oct 24 2001 Harald Hoyer <harald@redhat.com> 0.9.6-1
- seperated gui from data layer
- make .pyc ghost files
- fixed profile/alias problem
- modem probing only once

* Mon Oct 22 2001 Harald Hoyer <harald@redhat.com> 0.9.5-1
- fixed consolehelper
- added chars [_-] ro nickname pattern
- added traceback catching dialog

* Wed Oct 17 2001 Harald Hoyer <harald@redhat.com> 0.9.4-1
- fixed /etc/hosts
- fixed pap/chap
- fixed 'save changes?'

* Tue Oct 16 2001 Than Ngo <than@redhat.com> 0.9.3-1
- fix internet-druid fails (bug #54192)
- fix dial on demand problem from some ISDN Provider in German
- don't trace back if length of Login name is 2 (bug #54322)

* Thu Sep 27 2001 Than Ngo <than@redhat.com> 0.9.2-1
- enable TCPIP for CIPE
- show device Tab as default if devices exist

* Wed Sep 12 2001 Than Ngo <than@redhat.com> 0.9.1-1
- add CTC and IUCV support for s390/s390x
- disable Dialup on s390/s390x

* Thu Sep  5 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9-1
- Add Russian

* Wed Sep  4 2001 Phil Knirsch <phil@redhat.de> 0.8.4-1
- Fixed problem with unwanted removal of entries in /etc/modules.conf (#53042)

* Mon Sep  3 2001 Than Ngo <than@redhat.com> 0.8.3-1
- fix a bug in setting Authentication
- fix some critical typo bugs

* Fri Aug 31 2001 Than Ngo <than@redhat.com> 0.8.2-1
- fix backtrace bug in CIPE
- fix traceback bug if self.device.Dialup is None
- if hardware is deleted, remove all devices used this hardware
- de.po: fix bad translation

* Fri Aug 31 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.8.1-1
- Add support for Czech

* Fri Aug 31 2001 Than Ngo <than@redhat.com>
- fix #52920, #52922, #52914, #52916, #52917

* Fri Aug 31 2001 Phil Knirsch <phil@redhat.de> 0.8.0-2
- Fixed wrong option handling in /etc/modules.conf (#52853, #52923)
- Fixed empty search entry in /etc/resolv.conf (#52926)
- Fixed empty domain entry in /etc/resolv.conf (#52924)
- Fixed ethernet hardware probing traceback (#52921)

* Tue Aug 28 2001 Than Ngo <than@redhat.com> 0.8.0-1
- fix some typo bugs

* Tue Aug 28 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.10-1
- minor fixes, including bootprotocol for CIPE (don't say it will use DHCP...)

* Tue Aug 28 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.9-1
- Not everything was marked for translation (#52650)

* Tue Aug 28 2001 Than Ngo <than@redhat.com> 0.7.8-1
- fix some typo bugs
- fix wrong Modem entry (Bug #52601)

* Mon Aug 27 2001 Than Ngo <than@redhat.com> 0.7.7-1
- fix wrong type CBHUP

* Mon Aug 27 2001 Phil Knirsch <phil@redhat.de> 0.7.6-2
- Fixed use of /etc/sysconfig/network (#52359)

* Fri Aug 24 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.6-1
- Reordered tabs, added descriptions on each of the tabs

* Fri Aug 24 2001 Bill Nottingham <notting@redhat.com> 0.7.5-1
- tokenring support

* Thu Aug 23 2001 Phil Knirsch <phil@redhat.de> 0.7.4-2
- Fixed recalculation of BROADCAST and NETWORK values if IP and netmask are
  present (#51462)

* Mon Aug 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.4-1
- More bugfixes, among them #51929, #51991, #51721, #51722,
  partial #52044, #51720. 
- Updated translations, include more languages

* Thu Aug 16 2001 Phil Knirsch <phil@redhat.de> 0.7.3-2
- Fixed major bug in device renaming (#50885)

* Tue Aug 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.3-1
- more bugfixes, more docs, GUI fixes

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 0.7.2-1
- more bugfixes

* Fri Aug 10 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.1-1
- more bugfixes, more docs

* Wed Aug  8 2001 Alexander Larsson <alexl@redhat.com> 0.7-2
- Install desktop files in sysconfig instead of serverconf.

* Wed Aug  8 2001 Phil Knirsch <phil@redhat.de> 0.7-1
- Added a lot of documentation
- Final changes to the Modem druid dialog and code to look just like the
  hardware add dialog for modems.

* Wed Aug  8 2001 Phil Knirsch <phil@redhat.de> 0.6.8-3
- Added the modem detection for the ModemDruid.
- Added kudzu as requirement as it is needed for modem detection.
- For compatibility still check for symlinks, too. Otherwise older setups will
  break.

* Tue Aug  7 2001 Phil Knirsch <phil@redhat.de> 0.6.7-2
- Fixed various important bugzilla bugs
- Added and implemented the add Hardware dialog.
- Added a working Apply button.
- Switched to using hardlinks instead of symlinks for config files.

* Tue Aug  7 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.7-1
- Add online help capability (#50739)

* Mon Aug  6 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.6-1
- Disable profiles in GUI and as necesarry in code

* Mon Aug  6 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.5-1
- more bugfixes
- add Conf.py from pythonlib, which has gone to the great bitbucket
  in the sky

* Sun Aug  5 2001 Than Ngo <than@redhat.com>
- fix bug 50740
- wvdial.conf readonly for root

* Fri Aug  3 2001 Than Ngo <than@redhat.com>
- fix pap/chap Login name for T-online
- fix InitStrings
- use gettext function in NC_functions
- fix loading DEFROUTE/PERSIST/DEMAND/IDLETIMEOUT for Modem dialup
- don't backtrace if 'SetVolume' and 'Dial Command' are not defined

* Thu Aug 02 2001 Phil Knirsch <phil@redhat.de> 0.6.1-2
- Fixed buggous removal of ifcfg-lo (#50478)
- Fixed problems with modem volume in hardware dialog
- Fixed missing /dev/modem for modem setup (#50673)

* Wed Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- POTFILES.in list up fix
- Add Japanese translation

* Wed Aug 02 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.2-1
- More bugfixes

* Tue Jul 24 2001 Than Ngo <than@redhat.com> 0.6.1-1
- Some more bugfixes...

* Tue Jul 24 2001 Phil Knirsch <phil@redhat.de> 0.6-2
- Some more bugfixes...

* Tue Jul 24 2001 Phil Knirsch <phil@redhat.de> 0.6-1
- Bumped version to 0.6

* Tue Jul 24 2001 Than Ngo <than@redhat.com>
- add Druid for dialup connection (ISDN/ADSL/Modem)

* Thu Jul 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Obsolete netcfg - rp3 is next, when gnome-lokkit doesn't require
  it anymore
- More fixes...

* Tue Jul 17 2001 Trond Eivind Glomsrd <teg@redhat.com>
- CIPE and wireless added

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add i18n
- Many minor fixes...

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't run autogen.sh
- Mark files in /etc as configuration files
- Multiple fixes to automake files
- Add Norwegian translation to desktop files
- install into the configuration tool desktop directory

* Wed Jul 11 2001 Than Ngo <than@redhat.com> 0.3.1-1
- obsolete isdn-config internet-config
- requires consolehelper, alchemist
- add icon and desktop file
- use bzip2

* Wed Jul 11 2001 Phil Knirsch <phil@redhat.de> 0.3.0-2
- Fixed critical problem during profile saving.

* Wed Jul 10 2001 Phil Knirsch <phil@redhat.de> 0.3.0-1
- 0.3.0-1
- Final touches for beta2. Most stuff should work now.

* Thu Jul 10 2001 Phil Knirsch <phil@redhat.de> 0.2.2-2
- Added some missing files.

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.2.2

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.2.1

* Mon Jul  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.2
- New name - redhat-config-network. 
  Shortcut: neat (NEtwork Administration Tool)

* Fri Jul 06 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Require a recent version of initscripts
- Initial build. Don't obsolete older tools just yet...
